//Clase para acceder a los dispositivos VME con National Instruments

#include "VMEDevice.h"

VMEDevice::VMEDevice(VISAInstrVXI &instHndIn):instHandler(instHndIn) 
{
}

VMEDevice::~VMEDevice() {
   VISAResourceManager::destroyInstrumentInstance(this->instHandler);
}

//**********************************************************
//*********** M�TODOS P�BLICOS
//**********************************************************

void VMEDevice::write(int offset, unsigned short valor)
{
    instHandler.wrWord(A16, offset, valor);
}

unsigned short VMEDevice::read(int offset) {

	unsigned short valor=0;
	valor = instHandler.rdWord(A16, offset);

  return valor;
}


